MWAWPictBitmap Class Referenceabstract

Generic class used to construct bitmap. More...

`#include <MWAWPictBitmap.hxx>`

Inheritance diagram for MWAWPictBitmap:

## Public Types

enum | SubType { BW, Indexed, Color }
| the picture subtype: blackwhite, indexed, color More...
Public Types inherited from MWAWPict
enum | Type { Basic, PictData, Bitmap, OleContainer, Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0, MWAW_R_OK, MWAW_R_OK_EMPTY, MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...

## Public Member Functions

virtual Type | getType () const
| returns the picture type More...
virtual SubType | getSubType () const =0
| returns the picture subtype More...
virtual bool | getBinary (WPXBinaryData &res, std::string &s) const
| returns the final WPXBinary data More...
virtual bool | valid () const
| returns true if the picture is valid More...
virtual int | cmp (MWAWPict const &a) const
| a virtual function used to obtain a strict order, must be redefined in the subs class More...
Public Member Functions inherited from MWAWPict
virtual | ~MWAWPict ()
| virtual destructor More...
Box2f | getBdBox () const
| returns the bdbox of the picture More...
void | setBdBox (Box2f const &box)
| sets the bdbox of the picture More...

## Protected Member Functions

virtual bool | createFileData (WPXBinaryData &result) const =0
| abstract function which creates the result file More...
| MWAWPictBitmap (Vec2i const &sz)
| protected constructor: use check to construct a picture More...
Protected Member Functions inherited from MWAWPict
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal) More...
| MWAWPict ()
| protected constructor must not be called directly More...
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly More...
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly More...

## Additional Inherited Members

Static Protected Member Functions inherited from MWAWPict
static Box2f | getBdBox (int numPt, Vec2f const *pt)
| computes the minimum and maximum of a list of point More...

## Detailed Description

Generic class used to construct bitmap.

## Member Enumeration Documentation

enum MWAWPictBitmap::SubType

the picture subtype: blackwhite, indexed, color

Enumerator
BW |
Indexed |
Color |

## Constructor & Destructor Documentation

MWAWPictBitmap::MWAWPictBitmap | ( | Vec2i const & | sz | ) |

inline protected

protected constructor: use check to construct a picture

## Member Function Documentation

virtual int MWAWPictBitmap::cmp | ( | MWAWPict const & | a | ) | const

inline virtual

a virtual function used to obtain a strict order, must be redefined in the subs class

Reimplemented from MWAWPict.

Reimplemented in MWAWPictBitmapColor, MWAWPictBitmapIndexed, and MWAWPictBitmapBW.

Referenced by MWAWPictBitmapBW::cmp(), MWAWPictBitmapIndexed::cmp(), and MWAWPictBitmapColor::cmp().

virtual bool MWAWPictBitmap::createFileData | ( | WPXBinaryData & | result | ) | const

protected pure virtual

abstract function which creates the result file

Implemented in MWAWPictBitmapColor, MWAWPictBitmapIndexed, and MWAWPictBitmapBW.

Referenced by getBinary().

virtual bool MWAWPictBitmap::getBinary | ( | WPXBinaryData & | res,
|  | std::string & | s
| ) |  | const

inline virtual

returns the final WPXBinary data

Reimplemented from MWAWPict.

virtual SubType MWAWPictBitmap::getSubType | ( |  | ) | const

pure virtual

returns the picture subtype

Implemented in MWAWPictBitmapColor, MWAWPictBitmapIndexed, and MWAWPictBitmapBW.

Referenced by cmp().

virtual Type MWAWPictBitmap::getType | ( |  | ) | const

inline virtual

returns the picture type

Implements MWAWPict.

virtual bool MWAWPictBitmap::valid | ( |  | ) | const

inline virtual

returns true if the picture is valid

Reimplemented in MWAWPictBitmapColor, MWAWPictBitmapIndexed, and MWAWPictBitmapBW.

Referenced by getBinary().

The documentation for this class was generated from the following file:

- MWAWPictBitmap.hxx